summaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/numactl
diff options
context:
space:
mode:
authorXiangyu Chen <xiangyu.chen@windriver.com>2023-01-19 13:24:26 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2023-01-20 16:40:47 +0000
commit05fac8d648f7d4dbb99be22f1d85b8df783c6b78 (patch)
tree3937e7c876ca2287599cab01183f348c93423660 /meta/recipes-support/numactl
parentcbb8a79bc9cd56d2d93ac08e417a6b0fdf4cfa4e (diff)
downloadpoky-05fac8d648f7d4dbb99be22f1d85b8df783c6b78.tar.gz
numactl: skip test case when target platform doesn't have 2 CPU node
when current test platform doesn't have 2 or more CPU node, the test case would report FAIL, according to numa test script and numademo code, when return code=77 should be skip test, so using SKIP instead of FAIL in test script. (From OE-Core rev: fd0a82400d419bce8605a9445db9b20b8ddc01a7) Signed-off-by: Xiangyu Chen <xiangyu.chen@windriver.com> Signed-off-by: Luca Ceresoli <luca.ceresoli@bootlin.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-support/numactl')
-rw-r--r--meta/recipes-support/numactl/numactl/Fix-the-test-output-format.patch3
-rwxr-xr-xmeta/recipes-support/numactl/numactl/run-ptest6
2 files changed, 7 insertions, 2 deletions
diff --git a/meta/recipes-support/numactl/numactl/Fix-the-test-output-format.patch b/meta/recipes-support/numactl/numactl/Fix-the-test-output-format.patch
index 9812ecc8b3..a7bc8d322e 100644
--- a/meta/recipes-support/numactl/numactl/Fix-the-test-output-format.patch
+++ b/meta/recipes-support/numactl/numactl/Fix-the-test-output-format.patch
@@ -7,6 +7,7 @@ Upstream-Status: Pending
7 7
8Signed-off-by: Roy Li <rongqing.li@windriver.com> 8Signed-off-by: Roy Li <rongqing.li@windriver.com>
9Signed-off-by: Li Xin <lixin.fnst@cn.fujitsu.com> 9Signed-off-by: Li Xin <lixin.fnst@cn.fujitsu.com>
10Signed-off-by: Xiangyu Chen <xiangyu.chen@windriver.com>
10--- 11---
11 test/regress | 6 +++--- 12 test/regress | 6 +++---
12 test/regress2 | 11 +++++------ 13 test/regress2 | 11 +++++------
@@ -20,7 +21,7 @@ index 2ce1705..d086a47 100755
20 if [ $numnodes -lt 2 ] ; then 21 if [ $numnodes -lt 2 ] ; then
21 echo "need at least two nodes with at least $NEEDPAGES each of" 22 echo "need at least two nodes with at least $NEEDPAGES each of"
22 echo "free memory for mempolicy regression tests" 23 echo "free memory for mempolicy regression tests"
23+ echo "FAIL: numa regress" 24+ echo "SKIP: numa regress"
24 exit 77 # Skip test 25 exit 77 # Skip test
25 fi 26 fi
26 } 27 }
diff --git a/meta/recipes-support/numactl/numactl/run-ptest b/meta/recipes-support/numactl/numactl/run-ptest
index bf269da755..e019b0d364 100755
--- a/meta/recipes-support/numactl/numactl/run-ptest
+++ b/meta/recipes-support/numactl/numactl/run-ptest
@@ -8,7 +8,11 @@ if ! numactl -s | grep -q "No NUMA support available on this system."; then
8 if numademo -t -e 10M; then 8 if numademo -t -e 10M; then
9 echo "PASS: numademo" 9 echo "PASS: numademo"
10 else 10 else
11 echo "FAIL: numademo" 11 if [ "$?" = 77 ] ; then
12 echo "SKIP: numademo"
13 else
14 echo "FAIL: numademo"
15 fi
12 fi 16 fi
13else 17else
14 echo "SKIP: ./../test/bind_range" 18 echo "SKIP: ./../test/bind_range"